## leaflet 0.2.1

=== build/Makefile ===
../dist/leaflet.js: Makefile
	java -jar ../lib/closure-compiler/compiler.jar \
	--js ../src/Leaflet.js \
	--js ../src/core/Util.js \
	--js ../src/core/Class.js \
	--js ../src/core/Events.js \
	--js ../src/core/Browser.js \
	--js ../src/geometry/Point.js \
	--js ../src/geometry/Bounds.js \
	--js ../src/geometry/Transformation.js \
	--js ../src/geometry/LineUtil.js \
	--js ../src/geometry/PolyUtil.js \
	--js ../src/dom/DomEvent.js \
	--js ../src/dom/DomEvent.DoubleTap.js \
	--js ../src/dom/DomUtil.js \
	--js ../src/dom/Draggable.js \
	--js ../src/dom/transition/Transition.js \
	--js ../src/dom/transition/Transition.Native.js \
	--js ../src/dom/transition/Transition.Timer.js \
	--js ../src/geo/LatLng.js \
	--js ../src/geo/LatLngBounds.js \
	--js ../src/geo/projection/Projection.js \
	--js ../src/geo/projection/Projection.SphericalMercator.js \
	--js ../src/geo/projection/Projection.LonLat.js \
	--js ../src/geo/projection/Projection.Mercator.js \
	--js ../src/geo/crs/CRS.js \
	--js ../src/geo/crs/CRS.EPSG3857.js \
	--js ../src/geo/crs/CRS.EPSG4326.js \
	--js ../src/geo/crs/CRS.EPSG3395.js \
	--js ../src/layer/LayerGroup.js \
	--js ../src/layer/FeatureGroup.js \
	--js ../src/layer/tile/TileLayer.js \
	--js ../src/layer/tile/TileLayer.WMS.js \
	--js ../src/layer/tile/TileLayer.Canvas.js \
	--js ../src/layer/ImageOverlay.js \
	--js ../src/layer/Popup.js \
	--js ../src/layer/marker/Icon.js \
	--js ../src/layer/marker/Marker.js \
	--js ../src/layer/marker/Marker.Popup.js \
	--js ../src/layer/vector/Path.js \
	--js ../src/layer/vector/Path.VML.js \
	--js ../src/layer/vector/Path.Popup.js \
	--js ../src/layer/vector/Polyline.js \
	--js ../src/layer/vector/Polygon.js \
	--js ../src/layer/vector/MultiPoly.js \
	--js ../src/layer/vector/Circle.js \
	--js ../src/layer/vector/CircleMarker.js \
	--js ../src/layer/GeoJSON.js \
	--js ../src/handler/Handler.js \
	--js ../src/handler/MapDrag.js \
	--js ../src/handler/TouchZoom.js \
	--js ../src/handler/ScrollWheelZoom.js \
	--js ../src/handler/DoubleClickZoom.js \
	--js ../src/handler/ShiftDragZoom.js \
	--js ../src/handler/MarkerDrag.js \
	--js ../src/control/Control.js \
	--js ../src/control/Control.Zoom.js \
	--js ../src/control/Control.Attribution.js \
	--js ../src/map/Map.js \
	--js ../src/map/ext/Map.Geolocation.js \
	--js ../src/map/ext/Map.Popup.js \
	--js ../src/map/ext/Map.PanAnimation.js \
	--js ../src/map/ext/Map.ZoomAnimation.js \
	--js ../src/map/ext/Map.Control.js \
	--js_output_file ../dist/leaflet.js

=== debian/changelog ===
leaflet (0.2.1-1) unstable; urgency=low

  * Initial release.
  * Closes: #641883

 -- Andrew Harvey <andrew.harvey4@gmail.com>  Sat, 17 Sep 2011 15:26:00 +1000

=== debian/control ===
Source: leaflet
Section: web
Priority: extra
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libnode-uglify, cdbs
Standards-Version: 3.9.2
Homepage: http://leaflet.cloudmade.com/
Vcs-Git: git://git.debian.org/pkg-osm/leaflet.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/leaflet.git

Package: libjs-leaflet
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript library for displaying map data in web browsers
 Leaflet is a modern JavaScript library for interactive maps on both desktop
 and mobile browsers by CloudMade.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
#             2011,      Andrew Harvey <andrew.harvey4@gmail.com>
# Description: Main Debian packaging script for leaflet
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = leaflet
libpkgname = libjs-leaflet

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

CDBS_BUILD_DEPENDS += , libnode-uglify

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/CloudMade/leaflet
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 
DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./lib/ ./dist/leaflet.js ./build/build.bat
DEB_UPSTREAM_TARBALL_SRCDIR = CloudMade-Leaflet-404b097

# suppress checking binary files, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(.*/\..*\.swp|.*\?.*|debian/(changelog|copyright(|_hints|_newhints)))$

js-destdir = /usr/share/javascript/$(libname)

DEB_DH_INSTALL_ARGS_DEFAULT = dist/* $(js-destdir)

build/$(libpkgname)::
	make -C build
clean::
	rm -f dist/leaflet.js

# No files here should be set executable
#common-binary-fixup-indep::
#	chmod -R a-x,a+X $(cdbs_curdestdir)

=== debian/watch ===
version=3
http://githubredir.debian.net/github/CloudMade/Leaflet/(\d.*).tar.gz

## leaflet 0.3

=== debian/changelog ===
leaflet (0.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules for new upstream build system.
  * Patch upstream build system to avoid running tests until jshlint is packaged

 -- Andrew Harvey <andrew.harvey4@gmail.com>  Tue, 14 Feb 2012 07:11:04 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
 Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), libnode-uglify, cdbs
+Build-Depends: debhelper (>= 8.0.0), node-uglify, node-jake, cdbs
 Standards-Version: 3.9.2
 Homepage: http://leaflet.cloudmade.com/
 Vcs-Git: git://git.debian.org/pkg-osm/leaflet.git

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,14 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-CDBS_BUILD_DEPENDS += , libnode-uglify
+CDBS_BUILD_DEPENDS += , node-uglify , node-jake
 
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/CloudMade/leaflet
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_TARBALL_MD5 = 
-DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./lib/ ./dist/leaflet.js ./build/build.bat
-DEB_UPSTREAM_TARBALL_SRCDIR = CloudMade-Leaflet-404b097
+DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./lib/ ./dist/leaflet.js ./dist/leaflet-src.js
+DEB_UPSTREAM_TARBALL_SRCDIR = CloudMade-Leaflet-ee46879
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(.*/\..*\.swp|.*\?.*|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -45,9 +45,9 @@
 DEB_DH_INSTALL_ARGS_DEFAULT = dist/* $(js-destdir)
 
 build/$(libpkgname)::
-	make -C build
+	jake
 clean::
-	rm -f dist/leaflet.js
+	rm -f dist/leaflet.js dist/leaflet-src.js
 
 # No files here should be set executable
 #common-binary-fixup-indep::

## leaflet 0.3.1

=== debian/changelog ===
leaflet (0.3.1-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#678419.

  [ Jonas Smedegaard ]
  * Update watch, rules and copyrigh files to directly use github.com
    URL (not githubredir.debian.net or Homepage).
  * Fix tighten build-dpendency on cdbs: Needed for recent debhelper
    support.
    Relax slightly build-dependency on debhelper: Eases backporting.
  * Put aside upstream shipped autogenerated files during build (instead
    of stripping and repackaging source tarball).
    Closes: bug#678426.
    Tighten build-dependency on cdbs: Needed for routine to put files
    aside.
  * Refresh patch, minimize, add DEP3 header, and rename to 2001.
  * Add debian/patches/README documenting numbering micro-policy.
  * Add patch from upstream VCS to fix non-removable attributions
    regression.
  * Git-ignore quilt .pc subdir to ease git-buildpackage usage.
  * Add myself as uploader.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Jun 2012 02:46:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: web
 Priority: extra
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), node-uglify, node-jake, cdbs
-Standards-Version: 3.9.2
+Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>,
+ Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs (>= 0.4.106~),
+ debhelper (>= 8~),
+ dh-buildinfo,
+ node-uglify,
+ node-jake
+Standards-Version: 3.9.3
 Homepage: http://leaflet.cloudmade.com/
 Vcs-Git: git://git.debian.org/pkg-osm/leaflet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-osm/leaflet.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2010, 2011 Jonas Smedegaard <dr@jones.dk>
# Copyright 2011 Andrew Harvey <andrew.harvey4@gmail.com>
# Description: Main Debian packaging script for Leaflet
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = leaflet
pkg = libjs-leaflet

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

CDBS_BUILD_DEPENDS += , node-uglify , node-jake

DEB_UPSTREAM_URL = https://github.com/CloudMade/Leaflet/tarball
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
# Set below to fetch snapshot of HEAD instead of tagged release
#DEB_UPSTREAM_TARBALL_BASENAME = master
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 

# Put aside upstream shipped autogenerated files during build
DEB_UPSTREAM_CRUFT_MOVE = dist/leaflet.js dist/leaflet-src.js

js-destdir = /usr/share/javascript/$(libname)

DEB_DH_INSTALL_ARGS_$(pkg) = dist/* $(js-destdir)

build/$(pkg)::
	jake

=== debian/watch ===
version=3
https://github.com/CloudMade/Leaflet/tags .*/tarball/v?(\d[\d\.]+)

## leaflet 0.5.1

=== debian/changelog ===
leaflet (0.5.1-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix bug properly detecting default marker icon path in some cases
      in IE6 and IE7.
    + Fix bug handling null objects in Map hasLayer.
    + Fix bug escaping TileLayer.WMS param values in URLs.

  [ Jonas Smedegaard ]
  * Ignore upstream .gitignore files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Feb 2013 13:21:41 +0100

leaflet (0.5-1) unstable; urgency=low

  [ upstream ]
  * New release.
    Highlights:
    + IE10 touch devices and Metro apps support.
    + Retina-enabled markers.
    + Much better panning inertia implementation.
    + Hand cursors for dragging.
    + New zoom control design.

  [ Jonas Smedegaard ]
  * Update upstream URLs to reflect new Homepage and development project
    home.
  * Shorten Vcs-Git URL in control file.
  * Update short and long description based on upstream texts.
  * Enable copyright check during normal builds.
    Build-depend on devscripts.
  * Extend copyright coverage of packaging, and tighten to GPL-3+
    (except patch 2001 kept as BSD-2-clause or GPL-2+).
  * Add README.source covering use of CDBS and git-buildpackage.
  * Update and extend coverage of main copyright holders, and add
    comment about misleading notes still at some places in source.
  * Add patch 2002 to revive pre-0.5 use of Uglifyjs 1.x.
  * Add NEWS file with entry echoing backwards-incompatible changes from
    upstream changelog.

  [ Andrew Harvey ]
  * Refresh patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Jan 2013 13:22:05 +0100

leaflet (0.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Adapt watch file and upstream-tarball hints to use improved upstream
    paths.
  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 14:01:07 +0100

leaflet (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2012 19:19:38 +0200

leaflet (0.4-1) experimental; urgency=low

  * New upstream release.

  * Update copyright file:
    + Cover new jasmine files,  Expat licensed.
    + Extend coverage of main project to include current year.
    + Adjust to use standard short name BSD-2-clause.
    + Rewrap License sections at 72 chars.
    + Rephrase reference to GPL to be shorter, and reference FSF website
      (not postal address). Put both in pseudo-comment-in-license
      paragraph to emphasize them being not verbatim yet obey File
      format 1.0 mandating License paragraph being either single-line or
      include all licensing info.
    + Bump file format to 1.0, and add Github issue tracker as upstream
      contact.
  * Update patches:
    + Drop patch cherry-picked upstream: Included upstream.
    + Refresh patch 2001.
  * Add control.in to ease managing package relations.
  * Enable copyright check during build.
  * Relax to build unversioned on cdbs: Needed version satisfied in
    stable, and oldstable no longer supported.
  * Add git-buildpackage config, enabling signed tags and use of
    pristine-tar.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jul 2012 20:31:02 +0200

=== debian/control ===
Source: leaflet
Section: web
Priority: extra
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 cdbs (>= 0.4.106~),
 debhelper,
 dh-buildinfo,
 node-uglify,
 node-jake
Standards-Version: 3.9.3
Homepage: http://leafletjs.com/
Vcs-Git: git://git.debian.org/pkg-osm/leaflet
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/leaflet.git

Package: libjs-leaflet
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript library for mobile-friendly interactive maps
 Leaflet is a modern JavaScript library for mobile-friendly interactive
 maps.  Weighing just about 27 KB of JS code, it has all the features
 most developers ever need for online maps.
 .
 Leaflet is designed with simplicity, performance and usability in mind.
 It works efficiently across all major desktop and mobile platforms out
 of the box, taking advantage of HTML5 and CSS3 on modern browsers while
 still being accessible on older ones. It can be extended with many
 plugins, has a beautiful, easy to use and well-documented API and a
 simple, readable source code that is a joy to contribute to.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010, 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
# Copyright © 2011 Andrew Harvey <andrew.harvey4@gmail.com>
# Description: Main Debian packaging script for Leaflet
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = leaflet
pkg = libjs-leaflet

CDBS_BUILD_DEPENDS += , node-uglify , node-jake

DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = ac54371aa1db3ac51255f5247e113469

# Skip checking some images (in addition to the defaults)
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/images/(layers|marker-icon@2x)\.png|debian/(changelog|copyright(|_hints|_newhints)))$

# Put aside upstream shipped autogenerated files during build
DEB_UPSTREAM_CRUFT_MOVE = dist/leaflet.js dist/leaflet-src.js

js-destdir = /usr/share/javascript/$(libname)

DEB_DH_INSTALL_ARGS_$(pkg) = dist/* $(js-destdir)

build/$(pkg)::
	jake

## leaflet 0.6.3

=== debian/changelog ===
leaflet (0.6.3-1) unstable; urgency=low

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2013 01:17:34 +0200

leaflet (0.6.2-1) unstable; urgency=low

  [ upstream ]
  * New bugfix release.
    + Fixed a regression with mouse wheel zooming too fast on Firefox.
    + Fixed a regression with broken zooming on maps with EPSG3395
      projection.
    + Fixed a bug where zoom buttons inherited Bootstrap link hover
      styles.
    + Fixed a bug that caused wrong tile layers stacking order when
      using opacity < 1.
    + Fixed a regression that caused tiles selection when
      double-clicking absolutely positioned maps with vector layers in
      it in Firefox.
    + Fixed a regression with a wrong cursor when dragging a map with
      vector layers, and tiles becoming selected on double click.
    + Fixed a regression that caused flickering of tiles near map border
      on zoom animation in Chrome.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 03:03:49 +0200

leaflet (0.6-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Stop tracking md5sum of upstream tarball.
  * Update image copyright check suppression.
  * Update copyright file:
    + Drop Files section for no longer shipped jasmine.
    + Add Files section for convenience code copy of sinon.js
      (derivation of BSD-3-clause) and expect.js (Expat).
  * Add NEWS entry listing backwards-incompatible changes.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Jun 2013 01:44:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
 Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>,
  Jonas Smedegaard <dr@jones.dk>
-Build-Depends: devscripts,
- cdbs (>= 0.4.106~),
+Build-Depends: cdbs (>= 0.4.106~),
+ devscripts,
  debhelper,
  dh-buildinfo,
  node-uglify,
  node-jake
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://leafletjs.com/
-Vcs-Git: git://git.debian.org/pkg-osm/leaflet
+Vcs-Git: git://anonscm.debian.org/pkg-osm/leaflet
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/leaflet.git
 
 Package: libjs-leaflet

## leaflet 0.6.4

=== debian/changelog ===
leaflet (0.6.4-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix infinite loop in getBounds and setMaxBounds.
    + Fix map scrolling right on click with horizontal scroll on page.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jul 2013 20:58:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,9 @@
 
 DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = ac54371aa1db3ac51255f5247e113469
 
 # Skip checking some images (in addition to the defaults)
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/images/(layers|marker-icon@2x)\.png|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/images/(layers|marker-icon-2x)\.png|debian/(changelog|copyright(|_hints|_newhints)))$
 
 # Put aside upstream shipped autogenerated files during build
 DEB_UPSTREAM_CRUFT_MOVE = dist/leaflet.js dist/leaflet-src.js

## leaflet 0.7.2

=== debian/changelog ===
leaflet (0.7.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * And NEWS item about dropped custom CSS for legacy IE styles.
  * Unfuzz and simplify patches.
  * Explicitly build target "build" (default involves lint which is not
    in Debian).
  * Bump standards compliance to standards-version 3.9.5.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Jan 2014 23:16:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: leaflet
 Section: web
 Priority: extra
-Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.106~),
@@ -10,10 +10,10 @@
  dh-buildinfo,
  node-uglify,
  node-jake
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://leafletjs.com/
-Vcs-Git: git://anonscm.debian.org/pkg-osm/leaflet
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/leaflet.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/leaflet
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/leaflet.git
 
 Package: libjs-leaflet
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -40,4 +40,4 @@
 DEB_DH_INSTALL_ARGS_$(pkg) = dist/* $(js-destdir)
 
 build/$(pkg)::
-	jake
+	jake build

=== debian/watch ===
version=3
https://github.com/Leaflet/Leaflet/tags .*/archive/v?(\d[\d\.]+).tar.gz

## leaflet 0.7.3~dfsg

=== debian/changelog ===
leaflet (0.7.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add proper bower and component support.
    + Fix error in FF on dragging the map outside the window.
    + Fix some taps on Android falsely perceived as drags.
    + Fix tapping too quickly on Android ignoring most taps.
    + Fix map freeze on calling setView (or similar methods) several
      times in succession.
    + Fix failure removing Control.Layers.
    + Fix failure firing TileLayer load event.
    + Fix Canvas-based paths not triggering remove event when removed.
    + Fix pinch-zooming leading to fractional zoom in some cases.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage of packaging.
  * Suppress lintian warnings: JSON data confused as sourceless minified
    JavaScript.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Use recent Uglifyjs:
    + Drop patch 2002.
    + Tighten to build-depend versioned on node-uglify.
  * Repackage upstream tarball to strip potentially source-less minified
    file.
    Thanks to lintian.
  * Add alternate git source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 18:29:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  devscripts,
  debhelper,
  dh-buildinfo,
- node-uglify,
+ node-uglify (>= 2),
  node-jake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://leafletjs.com/
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/leaflet
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/leaflet.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/leaflet.git
 
 Package: libjs-leaflet
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010, 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2014 Jonas Smedegaard <dr@jones.dk>
 # Copyright © 2011 Andrew Harvey <andrew.harvey4@gmail.com>
 # Description: Main Debian packaging script for Leaflet
 #
@@ -24,10 +24,14 @@
 libname = leaflet
 pkg = libjs-leaflet
 
-CDBS_BUILD_DEPENDS += , node-uglify , node-jake
+CDBS_BUILD_DEPENDS +=, node-uglify (>= 2), node-jake
 
 DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_SRCDIR = Leaflet-$(DEB_UPSTREAM_TARBALL_VERSION)
+
+# Strip potentially source-less minified file
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += dist/leaflet.js
 
 # Skip checking some images (in addition to the defaults)
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/images/(layers|marker-icon-2x)\.png|debian/(changelog|copyright(|_hints|_newhints)))$

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
https://github.com/Leaflet/Leaflet/tags .*/archive/v?(\d[\d\.]+).tar.gz

## leaflet 0.7.7+20160312

=== debian/changelog ===
leaflet (0.7.7+20160312-1) unstable; urgency=medium

  [ upstream ]
  * New release(s) and subsequent snapshot.
    0.7.4
    + Fix bug reacting to interactions while loading in recent Chrome.
    + Fix bug of tile layers not respecting minZoom/maxZoom options.
    + Improve touch detection, esp. Chrome/Firefox in emulation mode.
    + Fix bug in bounds checking of tile layers with maxNativeZoom.
    + Fix bug remembering popup layer order after bindPopup(popup) call.
    + Fix race condition between markers and zoom animation.
    + Fix bug with Map.fitBounds padding.
    + Allow canvas paths to fire dblclick and contextmenu events.
    + Allow canvas filled polygons to use the fillRule option.
    + Allow canvas lines to use lineCap and lineJoin options.
    + Update bower definitions to comply with best practices.
    0.7.5
    + Fix regression that broke animation in Leaflet.markercluster.
    0.7.7
    + Fix regression of loowing tiles when pinch-zooming on iOS devices.
    + Fix regression related to msPointer detection in IE10.
    + Fix bug where mouseout can fire after vector element is removed.
    + Fix touch interactions in Edge browser.
    + Fix bug where layer group removal from feature group throws error.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from ducmentation.
    + Set repacksuffix.
    + Add usage comment.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Modernize Vcs-Git field: Use https protocol.
  * Declare compliance with Debian Policy 3.9.8.
  * Add README.source section on getting upstream snapshots.
  * Update copyright info:
    + Extend copyright for main author to include recent years.
    + Extend copyright of packaging to cover current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix syntax of lintian overrides regarding GeoJSON files (mistaken
    for minified code).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 May 2016 11:00:33 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  dh-buildinfo,
  node-uglify (>= 2),
  node-jake
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://leafletjs.com/
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/leaflet
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/leaflet
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/leaflet.git
 
 Package: libjs-leaflet

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2014, 2016 Jonas Smedegaard <dr@jones.dk>
 # Copyright © 2011 Andrew Harvey <andrew.harvey4@gmail.com>
 # Description: Main Debian packaging script for Leaflet
 #
@@ -24,11 +24,15 @@
 libname = leaflet
 pkg = libjs-leaflet
 
+DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet/archive
+DEB_UPSTREAM_TARBALL_BASENAME = $(or $(DEB_UPSTREAM_TARBALL_HASH),v$(DEB_UPSTREAM_TARBALL_VERSION))
+DEB_UPSTREAM_TARBALL_SRCDIR = Leaflet-$(or $(DEB_UPSTREAM_TARBALL_HASH),$(DEB_UPSTREAM_TARBALL_VERSION))
+
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
 CDBS_BUILD_DEPENDS +=, node-uglify (>= 2), node-jake
-
-DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_SRCDIR = Leaflet-$(DEB_UPSTREAM_TARBALL_VERSION)
 
 # Strip potentially source-less minified file
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += dist/leaflet.js

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 https://github.com/Leaflet/Leaflet/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## leaflet 1.0.0

=== DESCRIPTION ===
Package: leaflet
Type: Package
Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
        Library
Version: 1.0.0
Date: 2015-06-19
Authors@R: c(
      person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
      person("Yihui", "Xie", role = c("aut")),
      person("Hadley", "Wickham", role = c("ctb")),
      person("jQuery Foundation and contributors", role = c("ctb", "cph"), comment = "jQuery library"),
      person("Vladimir", "Agafonkin", role = c("ctb", "cph"), comment = "Leaflet library"),
      person("CloudMade", role = c("cph"), comment = "Leaflet library"),
      person("Leaflet contributors", role = c("ctb"), comment = "Leaflet library"),
      person("Leaflet Providers contributors", role = c("ctb", "cph"), comment = "Leaflet Providers plugin"),
      person("RStudio", role = c("cph"))
    )
Maintainer: Joe Cheng <joe@rstudio.com>
Description: Create and customize interactive maps using the 'Leaflet' JavaScript
    library and the 'htmlwidgets' package. These maps can be used directly from
    the R console, from 'RStudio', in Shiny apps and R Markdown documents.
License: GPL-3 | file LICENSE
URL: http://rstudio.github.io/leaflet/
BugReports: https://github.com/rstudio/leaflet/issues
Imports: base64enc, htmlwidgets, htmltools, magrittr, markdown, png,
        RColorBrewer, raster, scales (>= 0.2.5), sp
Suggests: knitr, maps, shiny, testit (>= 0.4), rgdal, R6, RJSONIO
NeedsCompilation: no
Packaged: 2015-06-23 19:42:53 UTC; jcheng
Author: Joe Cheng [aut, cre],
  Yihui Xie [aut],
  Hadley Wickham [ctb],
  jQuery Foundation and contributors [ctb, cph] (jQuery library),
  Vladimir Agafonkin [ctb, cph] (Leaflet library),
  CloudMade [cph] (Leaflet library),
  Leaflet contributors [ctb] (Leaflet library),
  Leaflet Providers contributors [ctb, cph] (Leaflet Providers plugin),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2015-06-24 00:56:10

## leaflet 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 1.0.0
-Date: 2015-06-19
+Version: 1.0.1
+Date: 2016-02-25
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Yihui", "Xie", role = c("aut")),
@@ -22,11 +22,12 @@
 License: GPL-3 | file LICENSE
 URL: http://rstudio.github.io/leaflet/
 BugReports: https://github.com/rstudio/leaflet/issues
-Imports: base64enc, htmlwidgets, htmltools, magrittr, markdown, png,
-        RColorBrewer, raster, scales (>= 0.2.5), sp
+Imports: base64enc, grDevices, htmlwidgets, htmltools, magrittr,
+        markdown, methods, png, RColorBrewer, raster, scales (>=
+        0.2.5), sp, stats, utils
 Suggests: knitr, maps, shiny, testit (>= 0.4), rgdal, R6, RJSONIO
 NeedsCompilation: no
-Packaged: 2015-06-23 19:42:53 UTC; jcheng
+Packaged: 2016-02-27 00:15:02 UTC; jcheng
 Author: Joe Cheng [aut, cre],
   Yihui Xie [aut],
   Hadley Wickham [ctb],
@@ -37,4 +38,4 @@
   Leaflet Providers contributors [ctb, cph] (Leaflet Providers plugin),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2015-06-24 00:56:10
+Date/Publication: 2016-02-27 09:50:10

## leaflet 1.1.0

=== DESCRIPTION ===
Package: leaflet
Type: Package
Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
        Library
Version: 1.1.0
Date: 2017-02-17
Authors@R: c(
      person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
      person("Bhaskar", "Karambelkar", role = c("aut")),
      person("Yihui", "Xie", role = c("aut")),
      person("Hadley", "Wickham", role = c("ctb")),
      person("Kenton", "Russell", role = c("ctb")),
      person("Kent", "Johnson", role=c("ctb")),
      person("jQuery Foundation and contributors", role = c("ctb", "cph"), comment = "jQuery library"),
      person("Vladimir", "Agafonkin", role = c("ctb", "cph"), comment = "Leaflet library"),
      person("CloudMade", role = c("cph"), comment = "Leaflet library"),
      person("Leaflet contributors", role = c("ctb"), comment = "Leaflet library"),
      person("Leaflet Providers contributors", role = c("ctb", "cph"), comment = "Leaflet Providers plugin"),
      person("Brandon Copeland", role = c("ctb", "cph"), comment = "leaflet-measure plugin"),
      person("Jacob Toye", role = c("ctb", "cph"), comment = "Leaflet.label plugin"),
      person("Joerg Dietrich", role = c("ctb", "cph"), comment = "Leaflet.Terminator plugin"),
      person("Benjamin Becquet", role = c("ctb", "cph"), comment = "Leaflet.MagnifyingGlass plugin"),
      person("Norkart AS", role = c("ctb", "cph"), comment = "Leaflet.MiniMap plugin"),
      person("L. Voogdt", role = c("ctb", "cph"), comment = "Leaflet.awesome-markers plugin"),
      person("Daniel Montague", role = c("ctb", "cph"), comment = "Leaflet.EasyButton plugin"),
      person("Kartena AB", role = c("ctb", "cph"), comment = "Proj4Leaflet plugin"),
      person("Robert Kajic", role = c("ctb", "cph"), comment = "leaflet-locationfilter plugin"),
      person("Mapbox", role = c("ctb", "cph"), comment = "leaflet-omnivore plugin"),
      person("Michael Bostock", role = c("ctb", "cph"), comment = "topojson"),
      person("RStudio", role = c("cph"))
    )
Maintainer: Joe Cheng <joe@rstudio.com>
Description: Create and customize interactive maps using the 'Leaflet'
    JavaScript library and the 'htmlwidgets' package. These maps can be used
    directly from the R console, from 'RStudio', in Shiny apps and R Markdown
    documents.
License: GPL-3
URL: http://rstudio.github.io/leaflet/
BugReports: https://github.com/rstudio/leaflet/issues
Depends: R (>= 3.1.0)
Imports: base64enc, crosstalk, htmlwidgets, htmltools, magrittr,
        markdown, methods, png, RColorBrewer, raster, scales (>=
        0.2.5), sp, stats, viridis
Suggests: knitr, maps, sf, shiny, testit (>= 0.4), rgdal, rgeos, R6,
        RJSONIO, purrr, testthat
RoxygenNote: 5.0.1
LazyData: true
NeedsCompilation: no
Packaged: 2017-02-21 16:56:25 UTC; jcheng
Author: Joe Cheng [aut, cre],
  Bhaskar Karambelkar [aut],
  Yihui Xie [aut],
  Hadley Wickham [ctb],
  Kenton Russell [ctb],
  Kent Johnson [ctb],
  jQuery Foundation and contributors [ctb, cph] (jQuery library),
  Vladimir Agafonkin [ctb, cph] (Leaflet library),
  CloudMade [cph] (Leaflet library),
  Leaflet contributors [ctb] (Leaflet library),
  Leaflet Providers contributors [ctb, cph] (Leaflet Providers plugin),
  Brandon Copeland [ctb, cph] (leaflet-measure plugin),
  Jacob Toye [ctb, cph] (Leaflet.label plugin),
  Joerg Dietrich [ctb, cph] (Leaflet.Terminator plugin),
  Benjamin Becquet [ctb, cph] (Leaflet.MagnifyingGlass plugin),
  Norkart AS [ctb, cph] (Leaflet.MiniMap plugin),
  L. Voogdt [ctb, cph] (Leaflet.awesome-markers plugin),
  Daniel Montague [ctb, cph] (Leaflet.EasyButton plugin),
  Kartena AB [ctb, cph] (Proj4Leaflet plugin),
  Robert Kajic [ctb, cph] (leaflet-locationfilter plugin),
  Mapbox [ctb, cph] (leaflet-omnivore plugin),
  Michael Bostock [ctb, cph] (topojson),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2017-02-21 19:08:12

## leaflet 1.4.0~dfsg

=== debian/changelog ===
leaflet (1.4.0~dfsg-5) unstable; urgency=medium

  * Fix provide all source files with node-leaflet.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jan 2019 01:32:33 +0100

leaflet (1.4.0~dfsg-4) experimental; urgency=medium

  * Add binary package node-leaflet.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 15:10:15 +0100

leaflet (1.4.0~dfsg-3) unstable; urgency=medium

  * Stop build-depend explicitly on node-source-map.
  * Update and bump version of NEWS entry.
  * Simplify rules.
    Build-depend on rename.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 13:24:53 +0100

leaflet (1.4.0~dfsg-2) experimental; urgency=medium

  * Fix pre-compress browser library as gzip (not zlib).
  * Strip comments from browser library.
  * Simplify rules: Use pattern rules.
  * Use UglifyJS2 v3.
    Build-depend on recent uglifyjs (not node-uglify).
  * Update copyright info:
    + Extend ownership coverage of copyright-check script.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Jan 2019 19:42:51 +0100

leaflet (1.4.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Build with rollup and uglifyjs CLI (not jake and uglify-js library).
    Build-depend on rollup (not node-jake).
    Fix path of included map file.
    Include ES module.
  * Rewrite patch 2002.
  * Compress stylesheet.
    Build-depend on sassc.
  * Provide zlib and brotli pre-compressed files.
    Build-depend on brotli pigz.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Drop obsolete Files and License sections.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update lintian overrides
    regarding GeoJSON/image strings mistaken as minified JavaScript.
  * Update watch file: Use substitution strings.
  * Fix clean temporary directory.
    Closes: Bug#918652. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Jan 2019 11:14:12 +0100

leaflet (1.0.3~dfsg-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix Vcs fields

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Use debhelper hint files.
    + Use short-form dh sequencer. Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.3.0.
  * Update watch file: Fix typo in usage comment.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage of packaging.
  * Wrap and sort control file.
  * Use https protocol in homepage URL.
  * Set package priority optional (not extra).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jan 2019 12:26:01 +0100

leaflet (1.0.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exlude all generated (not only minified) code, convenience code
      copy, and image with embedded non-free ICC profile, when
      repackaging upstream source.
    + Extend copyright of packaging to cover current year.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Drop CDBS debhelper hint: Handled in CDBS now.
  * Add patch 2002 to avoid use git to resolve version string.
  * Drop patch 2001: Upstream no longer use jshint.
  * Update package relations:
    + Build-depend on node-source-map.
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on devscripts.
  * Normalize library filenames to use .min suffix.
  * Add NEWS entry about major release with ABI changes, and normalized
    library filenames.
  * Add more GeoJSON files mistaken as non-source to lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Apr 2017 20:42:50 +0200

=== debian/control ===
Source: leaflet
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Andrew Harvey <andrew.harvey4@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 brotli,
 sassc,
 debhelper,
 uglifyjs (>= 3),
 pigz,
 rename,
 rollup,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/leaflet
Vcs-Git: https://salsa.debian.org/js-team/leaflet.git
Homepage: https://leafletjs.com/
Rules-Requires-Root: no

Package: node-leaflet
Architecture: all
Depends:
 libjs-leaflet,
 nodejs,
 ${misc:Depends},
Description: mobile-friendly interactive maps - Node.js library
 Leaflet is a modern JavaScript library for mobile-friendly interactive
 maps.  Weighing just about 27 KB of JS code, it has all the features
 most developers ever need for online maps.
 .
 Leaflet is designed with simplicity, performance and usability in mind.
 It works efficiently across all major desktop and mobile platforms out
 of the box, taking advantage of HTML5 and CSS3 on modern browsers while
 still being accessible on older ones. It can be extended with many
 plugins, has a beautiful, easy to use and well-documented API and a
 simple, readable source code that is a joy to contribute to.
 .
 This package provides Leaflet library usable with Node.js -
 an event-based server-side JavaScript engine.

Package: libjs-leaflet
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Description: mobile-friendly interactive maps - browser library
 Leaflet is a modern JavaScript library for mobile-friendly interactive
 maps.  Weighing just about 27 KB of JS code, it has all the features
 most developers ever need for online maps.
 .
 Leaflet is designed with simplicity, performance and usability in mind.
 It works efficiently across all major desktop and mobile platforms out
 of the box, taking advantage of HTML5 and CSS3 on modern browsers while
 still being accessible on older ones. It can be extended with many
 plugins, has a beautiful, easy to use and well-documented API and a
 simple, readable source code that is a joy to contribute to.
 .
 This package provides Leaflet library directly usable in web browsers.

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1.tar.gz%,dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 https://github.com/Leaflet/Leaflet/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## leaflet 1.5.1~dfsg

=== debian/changelog ===
leaflet (1.5.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Add autopkgtest.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jul 2019 00:14:08 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  pigz,
  rename,
  rollup,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/leaflet
 Vcs-Git: https://salsa.debian.org/js-team/leaflet.git
 Homepage: https://leafletjs.com/

=== debian/tests/control ===
Test-Command: node -e "
 domino = require('domino');
 win = domino.createWindow();
 global.window = win;
 global.document = win.document;
 global.navigator = win.navigator;
 win.screen = { deviceXDPI: 0, logicalXDPI: 0 };
 require('leaflet');
 "
Depends:
 node-domino,
 node-leaflet,

## leaflet 1.6.0~dfsg

=== debian/changelog ===
leaflet (1.6.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * copyright: extend coverage for main upstream author
  * update watch file:
    + simplify regular expressions
    + use dversionmangle=auto
    + rewrite usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Nov 2019 17:41:52 +0100

leaflet (1.5.1~dfsg-2) unstable; urgency=medium

  * Mark autopkgtests as superficial.
  * Declare compliance with Debian Policy 4.4.1.
  * Install nodejs code under /usr/share (not /usr/lib).
  * Build-depend explicitly on node-rollup-plugin-json.
    Closes: Bug#941598. Thanks to Pirate Praveen.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 17:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  sassc,
  debhelper,
  uglifyjs (>= 3),
+ node-rollup-plugin-json,
  pigz,
  rename,
  rollup,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/leaflet
 Vcs-Git: https://salsa.debian.org/js-team/leaflet.git
 Homepage: https://leafletjs.com/

=== debian/rules ===
#!/usr/bin/make -f

STEM = leaflet

%:
	dh $@

# optimize JavaScript for browser use
# * include source-map using upstream intermediary
debian/js/%.min.js: dist/%-src.js
	mkdir --parents debian/js
	uglifyjs --compress --mangle \
		--source-map "base='$(abspath $(dir $@))',content='dist/$(STEM)-src.js.map',url='$(notdir $@).map'" \
		--output $@ \
		-- $<

# pre-compress for browser use
%.gz: %
	pigz --force --keep -11 -- $<
	brotli --force --keep --best -- $<

# optimize CSS
debian/js/%.css: dist/%.css
	sassc --style compressed --sourcemap \
		-- $< $@

override_dh_auto_build: \
 debian/js/$(STEM).min.js.gz \
 debian/js/$(STEM).css.gz

dist/$(STEM)-src.js:
	NODE_ENV=release rollup --config build/rollup-config.js

override_dh_install:
	dh_install
	rename 's/-src//' debian/*/usr/share/javascript/leaflet/*.js

.SECONDARY:

=== debian/tests/control ===
--- 
+++ 
@@ -10,3 +10,4 @@
 Depends:
  node-domino,
  node-leaflet,
+Restrictions: superficial
